FreshPorts - VuXML

This page displays vulnerability information about FreeBSD Ports.

The last vuln.xml file processed by FreshPorts is:

Revision:  351541
Date:      2014-04-18
Time:      14:56:43Z
Committer: ohauer

List all Vulnerabilities, by package

List all Vulnerabilities, by date

These are the vulnerabilities relating to the commit you have selected:

VuXML IDDescription
4a99d61c-f23a-11dd-9f55-0030843d3802perl -- Directory Permissions Race Condition

Secunia reports:

Paul Szabo has reported a vulnerability in Perl File::Path::rmtree, which potentially can be exploited by malicious, local users to gain escalated privileges.

The vulnerability is caused due to a race condition in the way File::Path::rmtree handles directory permissions when cleaning up directories. This can be exploited by replacing an existing sub directory in the directory tree with a symbolic link to an arbitrary file.

Successful exploitation may allow changing permissions of arbitrary files, if root uses an application using the vulnerable code to delete files in a directory having a world-writable sub directory.


Discovery 2005-03-09
Entry 2009-02-03
perl
ge 5.8.0 lt 5.8.9

CVE-2005-0448
http://www.ubuntulinux.org/usn/usn-94-1
http://secunia.com/advisories/14531/
4a99d61c-f23a-11dd-9f55-0030843d3802perl -- Directory Permissions Race Condition

Secunia reports:

Paul Szabo has reported a vulnerability in Perl File::Path::rmtree, which potentially can be exploited by malicious, local users to gain escalated privileges.

The vulnerability is caused due to a race condition in the way File::Path::rmtree handles directory permissions when cleaning up directories. This can be exploited by replacing an existing sub directory in the directory tree with a symbolic link to an arbitrary file.

Successful exploitation may allow changing permissions of arbitrary files, if root uses an application using the vulnerable code to delete files in a directory having a world-writable sub directory.


Discovery 2005-03-09
Entry 2009-02-03
perl
ge 5.8.0 lt 5.8.9

CVE-2005-0448
http://www.ubuntulinux.org/usn/usn-94-1
http://secunia.com/advisories/14531/